Kerbal Space Program - Bug #1097

Unable to end flight/switch away from launch clamps at KSC
07/24/2013 05:53 PM - RPharazon

Status: Closed Start date: 07/24/2013
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.21 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Fresh install using Steam, no mods, using a save originally made freshly in 0.21.

At the KSC, two small rovers close to the runway and six launch stability enhancers were present and loaded at the scene. The
rovers were built and launched from the SPH, the launch stability enhancers were leftover debris from a previous VAB launch.

Handling the second rover, | was unable to dock it to the first due to a small mismatch in elevation and orientation. When | attempted
to switch vessels using the [ and ] keys to the first rover in an effort to dock in another manner, the game switched over to one of the
six launch stability enhancers left behind on the launch pad.

The launch stability enhancers were considered to have been moving over the surface at anywhere between 0.8 to 2.5m/s. No
matter how many times | pressed [ or ], the game did not switch me back to either rover, which were loaded on scene and only 1.7km
away.

When attempting to end the flight, the game did not let me go back to the space center (to load the rover directly through the tracking
station) since they were all considered to be moving over the surface, and as such, unable to simply end the flight. The game offered
me the options to revert to saves made before the second rover was "launched." | could not end the flight in a manner similar to 0.20,
and | could not do anything but revert to the previous save. Quicksaving and autosaving was impossible due to the game considering
the launch stability enhancers to be moving.

History

#1 - 07/24/2013 06:20 PM - RPharazon

Fully and consistently replicated it, for the record.

Steps:

Build a craft with launch clamps in VAB, launch it, do whatever you want with the craft itself afterwards. Putting the craft into orbit or merely more than
2.5km away before leaving it/retrieving it allows for more consistent behaviour.

Build two or more example crafts using SPH, park them anywhere but the launch pad.
Switch vehicles using [ or ] until you have a launch clamp as the active vehicle.

From then on, no matter how many times you press [ or ], only launch clamps will be chosen even though you have more crafts rendered and loaded
within the scene. All launch clamps have a non-zero surface speed value, and as such the only options left would be to revert to an earlier save.

#2 - 07/24/2013 11:16 PM - hoojiwana

- File screenshot3.png added

- File output_log.txt added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirming this. | noticed that the clamps move slightly out of position from where you place them in the VAB and SPH, the effect being more
exaggerated the higher up the clamps are placed. This causes the exact problems mentioned in the original bug report.

Video of me replicating: http:/youtu.be/TcBkO7RXASY

#3 - 03/09/2014 05:26 AM - JustinKerbice

| have the exact same issue with stock 0.23, here is what | put on official forum issues if it help:
http://youtu.be/TcBk07RxASY

KSP clean install, launch a small manned ship nearby launching pad (2.9 kms) can't switch to TT18-A as-is (it's ok).

Going to space center, select TT18-A. On the launch pad there is still the warning about moving thing and KSP complains it can't save here. | have no

recover option available. | also can't switch to another thing on map ("cannot switch vessels while moving on the surface").

At least and despite what it claims, it may resume back to the last saved state, ie: after landing, thankfully, not before launch.

#4 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#5 - 07/17/2016 09:33 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#6 - 07/17/2016 08:56 PM - Claw

- Status changed from Needs Clarification to Closed
- % Done changed from 0 to 100

- Platform Windows added

- Platform deleted (Win32)

Fixed, 1.1.X
